   *INDICADORES DE AGREGADOS ADICIONALES.
*Base de datos: Base de datos encuesta de Innovacin y encuesta de Ciencia y Tecnologa.
*Responsable: Ing. Fredy Monge
*Fecha de elaboracin: 03 de octubre de 2013.
*ltima actualizacin: 02 de enero de 2014.
*Modificado por: Ing. Fredy Monge
*Direccin en la cual se trabaja: DIEC
*Revisado por:
*Serie del computador:

*PROBADO EN SPSS VERSION 20.


GET FILE 'C:\Indicadores Innovacin\BDD_ACTI.sav'.
EXECUTE.


******.
weight by f_exp.

*********.

compute AI_empr_09=0.
IF (AI=1) AI_empr_09=oaiact_2009.
compute AI_empr_10=0.
IF (AI=1) AI_empr_10=oaiact_2010.
compute AI_empr_11=0.
IF (AI=1) AI_empr_11=oaiact_2011.
variable labels AI_empr_09 'Gasto en Actividades de Innovacin ao 2009'.
variable labels AI_empr_10 'Gasto en Actividades de Innovacin ao 2010'.
variable labels AI_empr_11 'Gasto en Actividades de Innovacin ao 2011'.
execute.

**********.
compute ACT_inst_09=0.
IF (ACT=1) ACT_inst_09=oaiact_2009.
compute ACT_inst_10=0.
IF (ACT=1) ACT_inst_10=oaiact_2010.
compute ACT_inst_11=0.
IF (ACT=1) ACT_inst_11=oaiact_2011.
variable labels ACT_inst_09 'Gasto en Actividades de Ciencia y Tecnologa ao 2009'.
variable labels ACT_inst_10 'Gasto en Actividades de Ciencia y Tecnologa ao 2010'.
variable labels ACT_inst_11 'Gasto en Actividades de Ciencia y Tecnologa ao 2011'.
execute.


**********

compute ACTI_09=sum(ID_2009, oaiact_2009).
compute ACTI_10=sum(ID_2010, oaiact_2010).
compute ACTI_11=sum(ID_2011, oaiact_2011).
variable labels ACTI_09 'Gasto ACTI ao 2009'.
variable labels ACTI_10 'Gasto ACTI ao 2010'.
variable labels ACTI_11 'Gasto ACTI ao 2011'.
execute.



compute id = 1.
execute.

AGGREGATE
/OUTFILE 'C:\Indicadores Innovacin\ACTI.sav'
  /BREAK=id
 /ACTI_09_TOT 'TOTAL GASTO ACTI AO 2009' =sum(ACTI_09)
/ACTI_10_TOT 'TOTAL GASTO ACTI AO 2010' =sum(ACTI_10)
/ACTI_11_TOT 'TOTAL GASTO ACTI AO 2009' =sum(ACTI_11)
/AI_empr_09_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_09)
/AI_empr_10_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_10)
/AI_empr_11_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_11)
/ACT_inst_09_TOT 'TOTAL GASTO ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(ACT_inst_09)
/ACT_inst_10_TOT 'TOTAL GASTO ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(ACT_inst_10)
/ACT_inst_11_TOT 'TOTAL GASTO ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(ACT_inst_11)
/ID_09_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2009)
/ID_10_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2010)
/ID_11_TOT 'TOTAL GASTO INVESTIGACIN Y DESARROLLO' =sum(ID_2011).


GET FILE 'C:\Indicadores Innovacin\ACTI.sav'.
EXECUTE.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ACTI_09_TOT ACTI_10_TOT ACTI_11_TOT DISPLAY=LABEL
  /TABLE ACTI_09_TOT [S][SUM] + ACTI_10_TOT [S][SUM] + ACTI_11_TOT [S][SUM]
/TITLES
TITLE=' TOTAL DE GASTO ACTI, DURANTE EL PERODO 2009 - 2010'
    CAPTION='FUENTE: ENCUESTA NACIONAL DE INNOVACIN PERODO 2009 A 2011' 'ELABORADO POR: INEC'.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=AI_empr_09_TOT ACT_inst_09_TOT  ID_09_TOT DISPLAY=LABEL
  /TABLE AI_empr_09_TOT [S][SUM] + ACT_inst_09_TOT [S][SUM] + ID_09_TOT [S][SUM]
/TITLES
TITLE=' TOTAL DE GASTO ACTI AO 2009'
    CAPTION='FUENTE: ENCUESTA NACIONAL DE INNOVACIN PERODO 2009 A 2011' 'ELABORADO POR: INEC'.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=AI_empr_10_TOT ACT_inst_10_TOT  ID_10_TOT DISPLAY=LABEL
  /TABLE AI_empr_10_TOT [S][SUM] + ACT_inst_10_TOT [S][SUM] + ID_10_TOT [S][SUM]
/TITLES
TITLE=' TOTAL DE GASTO ACTI AO 2010'
    CAPTION='FUENTE: ENCUESTA NACIONAL DE INNOVACIN PERODO 2009 A 2011' 'ELABORADO POR: INEC'.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=AI_empr_11_TOT ACT_inst_11_TOT  ID_11_TOT DISPLAY=LABEL
  /TABLE AI_empr_11_TOT [S][SUM] + ACT_inst_11_TOT [S][SUM] + ID_11_TOT [S][SUM]
/TITLES
TITLE=' TOTAL DE GASTO ACTI AO 2011'
    CAPTION='FUENTE: ENCUESTA NACIONAL DE INNOVACIN PERODO 2009 A 2011' 'ELABORADO POR: INEC'.


**********************************************************
******************************************.

GET FILE 'C:\Indicadores Innovacin\BDD_ACTI.sav'.
EXECUTE.

weight by f_exp.

*********.

compute AI_empr_09=0.
IF (AI=1) AI_empr_09=oaiact_2009.
compute AI_empr_10=0.
IF (AI=1) AI_empr_10=oaiact_2010.
compute AI_empr_11=0.
IF (AI=1) AI_empr_11=oaiact_2011.
variable labels AI_empr_09 'Gasto en Actividades de Innovacin ao 2009'.
variable labels AI_empr_10 'Gasto en Actividades de Innovacin ao 2010'.
variable labels AI_empr_11 'Gasto en Actividades de Innovacin ao 2011'.
execute.

**********.
compute ACT_inst_09=0.
IF (ACT=1) ACT_inst_09=oaiact_2009.
compute ACT_inst_10=0.
IF (ACT=1) ACT_inst_10=oaiact_2010.
compute ACT_inst_11=0.
IF (ACT=1) ACT_inst_11=oaiact_2011.
variable labels ACT_inst_09 'Gasto en Actividades de Ciencia y Tecnologa ao 2009'.
variable labels ACT_inst_10 'Gasto en Actividades de Ciencia y Tecnologa ao 2010'.
variable labels ACT_inst_11 'Gasto en Actividades de Ciencia y Tecnologa ao 2011'.
execute.


AGGREGATE
/OUTFILE 'C:\Indicadores Innovacin\ACTI_1.sav'
  /BREAK=EMPRESA
 /ID_2009 'GASTO EN I+D AO 2009'=sum(ID_2009)
 /ID_2010 'GASTO EN I+D AO 2010'=sum(ID_2010)
 /ID_2011 'GASTO EN I+D AO 2011'=sum(ID_2011)
/AI_empr_09_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_09)
/AI_empr_10_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_10)
/AI_empr_11_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_11)
/ACT_inst_09_TOT 'TOTAL GASTO ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(ACT_inst_09)
/ACT_inst_10_TOT 'TOTAL GASTO ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(ACT_inst_10)
/ACT_inst_11_TOT 'TOTAL GASTO ACTIVIDADES DE CIENCIA Y TECNOLOGA' =sum(ACT_inst_11)
/ventas_tot_09 'TOTAL DE VENTAS AO 2009'=sum(Ventas_2009)
/ventas_tot_10 'TOTAL DE VENTAS AO 2010'=sum(Ventas_2010)
/ventas_tot_11 'TOTAL DE VENTAS AO 2011'=sum(Ventas_2011).



GET FILE 'C:\Indicadores Innovacin\ACTI_1.sav'.
EXECUTE.

if (EMPRESA=0 or EMPRESA=1) empr=1.
execute.


compute PIB09 = 62519686000.
compute PIB10 = 67626516000.
compute PIB11 = 77699720000.
execute.

IF (EMPRESA=1 or EMPRESA=0) ID_empr_09 = (ID_2009/PIB09)*100.
IF (EMPRESA=1 or EMPRESA=0) ID_empr_10 = (ID_2010/PIB10)*100.
IF (EMPRESA=1 or EMPRESA=0) ID_empr_11 = (ID_2011/PIB11)*100.
variable labels ID_empr_09 'GASTO EN I+D DE EMPRESA RESPECTO AL PIB AO 2009'.
variable labels ID_empr_10 'GASTO EN I+D DE EMPRESA RESPECTO AL PIB AO 2010'.
variable labels ID_empr_11 'GASTO EN I+D DE EMPRESA RESPECTO AL PIB AO 2011'.
execute.

IF (EMPRESA=1 or EMPRESA=0) AI_empr_09 = (AI_empr_09_TOT/PIB09)*100.
IF (EMPRESA=1 or EMPRESA=0) AI_empr_10 = (AI_empr_10_TOT/PIB10)*100.
IF (EMPRESA=1 or EMPRESA=0) AI_empr_11 = (AI_empr_11_TOT/PIB11)*100.
variable labels AI_empr_09 'GASTO EN OAI DE EMPRESA RESPECTO AL PIB AO 2009'.
variable labels AI_empr_10 'GASTO EN OAI DE EMPRESA RESPECTO AL PIB AO 2010'.
variable labels AI_empr_11 'GASTO EN OAI DE EMPRESA RESPECTO AL PIB AO 2011'.
execute.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ID_empr_09 ID_empr_10 ID_empr_11 EMPRESA DISPLAY=LABEL
  /TABLE EMPRESA BY ID_empr_09 [S][SUM PCT40.2] + ID_empr_10 [S][SUM PCT40.2] + ID_empr_11 [S][SUM PCT40.2]
/CATEGORIES VARIABLES=EMPRESA TOTAL=YES
/TITLES
TITLE=' GASTO EN I+D POR TIPO DE EMPRESA CON RESPECTO AL PIB'
    CAPTION='FUENTE: ENCUESTA NACIONAL DE INNOVACIN PERODO 2009 A 2011' 'ELABORADO POR: INEC'.



* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=AI_empr_09 AI_empr_10 AI_empr_11 EMPRESA DISPLAY=LABEL
  /TABLE EMPRESA BY AI_empr_09 [S][SUM PCT40.2] + AI_empr_10 [S][SUM PCT40.2] + AI_empr_11 [S][SUM PCT40.2]
/CATEGORIES VARIABLES=EMPRESA TOTAL=YES
/TITLES
TITLE=' GASTO EN ACTIIVDADES DE INNOVACIN POR TIPO DE EMPRESA CON RESPECTO AL PIB'
    CAPTION='FUENTE: ENCUESTA NACIONAL DE INNOVACIN PERODO 2009 A 2011' 'ELABORADO POR: INEC'.


AGGREGATE
/OUTFILE  'C:\Indicadores Innovacin\ACTI_2.sav'
/BREAK=empr
/ID_2009 'GASTO EN I+D AO 2009'=sum(ID_2009)
 /ID_2010 'GASTO EN I+D AO 2010'=sum(ID_2010)
 /ID_2011 'GASTO EN I+D AO 2011'=sum(ID_2011)
/AI_empr_09_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_09_TOT)
/AI_empr_10_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_10_TOT)
/AI_empr_11_TOT 'TOTAL GASTO ACTIVIDADES DE INNOVACIN' =sum(AI_empr_11_TOT)
/ventas_tot_09 'TOTAL DE VENTAS AO 2009'=sum(ventas_tot_09)
/ventas_tot_10 'TOTAL DE VENTAS AO 2010'=sum(ventas_tot_10)
/ventas_tot_11 'TOTAL DE VENTAS AO 2011'=sum(ventas_tot_11).

GET FILE 'C:\Indicadores Innovacin\ACTI_2.sav'.
EXECUTE.

IF (empr=1) ID_09=(ID_2009/ventas_tot_09)*100.
IF (empr=1) ID_10=(ID_2010/ventas_tot_10)*100.
IF (empr=1) ID_11=(ID_2011/ventas_tot_11)*100.
variable labels ID_09 'GASTO EN I+D CON RESPECTO AL TOTAL DE VENTAS AO 2009'.
variable labels ID_10 'GASTO EN I+D CON RESPECTO AL TOTAL DE VENTAS AO 2010'.
variable labels ID_11 'GASTO EN I+D CON RESPECTO AL TOTAL DE VENTAS AO 2011'.
execute.

IF (empr=1) OAI_09=(AI_empr_09_TOT/ventas_tot_09)*100.
IF (empr=1) OAI_10=(AI_empr_10_TOT/ventas_tot_10)*100.
IF (empr=1) OAI_11=(AI_empr_11_TOT/ventas_tot_11)*100.
variable labels OAI_09 'GASTO EN OAI CON RESPECTO AL TOTAL DE VENTAS AO 2009'.
variable labels OAI_10 'GASTO EN OAI CON RESPECTO AL TOTAL DE VENTAS AO 2010'.
variable labels OAI_11 'GASTO EN OAI CON RESPECTO AL TOTAL DE VENTAS AO 2011'.
execute.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ID_09 ID_10 ID_11 DISPLAY=LABEL
  /TABLE BY ID_09 [S][SUM PCT40.2] + ID_10 [S][SUM PCT40.2] + ID_11 [S][SUM PCT40.2]
/TITLES
TITLE=' GASTO EN I+D CON RESPECTO A LAS VENTAS'
    CAPTION='FUENTE: ENCUESTA NACIONAL DE INNOVACIN PERODO 2009 A 2011' 'ELABORADO POR: INEC'.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=OAI_09 OAI_10 OAI_11 DISPLAY=LABEL
  /TABLE BY OAI_09 [S][SUM PCT40.2] + OAI_10 [S][SUM PCT40.2] + OAI_11 [S][SUM PCT40.2]
/TITLES
TITLE=' GASTO EN OAI CON RESPECTO A LAS VENTAS'
    CAPTION='FUENTE: ENCUESTA NACIONAL DE INNOVACIN PERODO 2009 A 2011' 'ELABORADO POR: INEC'.



OUTPUT EXPORT NAME =Indicadores INN2
/XLS DOCUMENTFILE ='C:\Indicadores Innovacin\CALCULOS_ACTI.xls'
OPERATION =CREATESHEET SHEET ='CALCULOS_ACTI'.




